API Reference
Discount Codes
Coupon / promo codes.
6 endpoints· Auth: API Key
get
/api/v1/store/integrations/discounts/codes API KeyGet codes
Query parameters
| page integer (int32) | — |
| per_page integer (int32) | — |
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/discounts/codes" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/store/integrations/discounts/codes API KeyCreate codes
Request body
application/json
{
"code": "string",
"discountType": "percentage",
"discountValue": 0,
"minOrderValue": 0,
"maxUses": 0,
"perUserLimit": 0,
"startsAt": "2026-06-18T16:11:34.771Z",
"expiresAt": "2026-06-18T16:11:34.771Z",
"isActive": false,
"notes": "string"
}| code string | — |
| discountType DiscountType | — |
| discountValue number (double) | — |
| minOrderValue number (double) | — |
| maxUses integer (int32) | — |
| perUserLimit integer (int32) | — |
| startsAt string (date-time) | — |
| expiresAt string (date-time) | — |
| isActive boolean | — |
| notes string | — |
Responses
200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/discounts/codes" \
-H "Content-Type: application/json" \
-H "X-API-Key: <YOUR_API_KEY>" \
-d '{
"code": "string",
"discountType": "percentage",
"discountValue": 0,
"minOrderValue": 0,
"maxUses": 0,
"perUserLimit": 0,
"startsAt": "2026-06-18T16:11:34.770Z",
"expiresAt": "2026-06-18T16:11:34.771Z",
"isActive": false,
"notes": "string"
}' Try itagainst staging · https://stagging-api.sendyiq.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/store/integrations/discounts/codes/{id} API KeyGet id
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/discounts/codes/{id}" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Set credentials in the “Authorize” menu
put
/api/v1/store/integrations/discounts/codes/{id} API KeyUpdate id
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"discountType": "percentage",
"discountValue": 0,
"minOrderValue": 0,
"maxUses": 0,
"perUserLimit": 0,
"startsAt": "2026-06-18T16:11:34.771Z",
"expiresAt": "2026-06-18T16:11:34.771Z",
"isActive": false,
"notes": "string"
}| discountType DiscountType | — |
| discountValue number (double) | — |
| minOrderValue number (double) | — |
| maxUses integer (int32) | — |
| perUserLimit integer (int32) | — |
| startsAt string (date-time) | — |
| expiresAt string (date-time) | — |
| isActive boolean | — |
| notes string | — |
Responses
200Success
cURL
curl -X PUT "https://stagging-api.sendyiq.com/api/v1/store/integrations/discounts/codes/{id}" \
-H "Content-Type: application/json" \
-H "X-API-Key: <YOUR_API_KEY>" \
-d '{
"discountType": "percentage",
"discountValue": 0,
"minOrderValue": 0,
"maxUses": 0,
"perUserLimit": 0,
"startsAt": "2026-06-18T16:11:34.771Z",
"expiresAt": "2026-06-18T16:11:34.771Z",
"isActive": false,
"notes": "string"
}' Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
delete
/api/v1/store/integrations/discounts/codes/{id} API KeyDelete id
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X DELETE "https://stagging-api.sendyiq.com/api/v1/store/integrations/discounts/codes/{id}" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Set credentials in the “Authorize” menu
get
/api/v1/store/integrations/discounts/codes/validate API KeyGet validate
Query parameters
| code string | — |
| orderValue number (double) | — |
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/discounts/codes/validate" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Query parameters
Set credentials in the “Authorize” menu